Bug 1687577 - [Repo-Discovery] - Duplicate URLs getting appended in while creating repos from repo-discovery feature
Summary: [Repo-Discovery] - Duplicate URLs getting appended in while creating repos fr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.4.2
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Released
Assignee: Partha Aji
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-11 19:09 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:17 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.33-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:29 UTC


Attachments (Terms of Use)
Duplicate URL (82.41 KB, image/png)
2019-03-11 19:09 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:36 UTC
Foreman Issue Tracker 26251 None None None 2019-03-11 20:59:49 UTC

Description Omkar Khatavkar 2019-03-11 19:09:09 UTC
Created attachment 1542998 [details]
Duplicate URL

Description of problem:
Duplicate URLs getting appended in while creating repos from repo-discovery feature 

Version-Release number of selected component (if applicable):
6.4.2

How reproducible:
always

Steps to Reproduce:
1. Navigate to repo discovery page (Products->Discover Repositories)
2. Enter URl to Discover http://inecas.fedorapeople.org/fakerepos/
3. Discover Repos and Click on Create Selected 
4. See Repository URL

Actual results:
Repository URL columns should not contain the wrong url, it is appending the duplicate URLs  

Expected results:
Repository URL columns should not contain correct url

Additional info:
This can leads to sync issues.

Comment 3 Partha Aji 2019-03-11 20:59:48 UTC
Connecting redmine issue https://projects.theforeman.org/issues/26251 from this bug

Comment 4 Bryan Kearney 2019-03-19 20:02:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26251 has been resolved.

Comment 6 Omkar Khatavkar 2019-03-25 13:22:43 UTC
Verified on Satellite 6.5 Snap 19 this is working fine. There are no duplicate URLs.

Comment 8 errata-xmlrpc 2019-05-14 12:40:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.